import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Blob class
 * 
 * @author Micheal Kolling
 * @author Amjad Altadmri 
 * @version 1.4
 */
public class Blob extends Actor
{
    private int life = Greenfoot.getRandomNumber(20)+10;
    
    /**
     * Move the blob equals to the "life" time, then splat.
     */
    public void act() 
    {
        move(10);
        life--;
        if (life == 0) {
            splat();
        }
    }
    
    /**
     * If the blobs hits a land add a splat and plays matched
     * sound. Finally, remove the blob anyway.
     */
    private void splat()
    {
        if ( !((London)getWorld()).isWater(getX(), getY()) ) {
            Greenfoot.playSound("splat.wav");
            getWorld().addObject (new Splat(), getX(), getY());
        }
        
        getWorld().removeObject(this);
    }
}
