import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Cannon class
 * 
 * @author Micheal Kolling
 * @author Amjad Altadmri 
 * @version 1.4
 */
public class Cannon extends Actor
{
    /**
     * Act - move the Cannon and fire in response to users'
     * pressed keys. This method is called whenever the
     * 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        checkKeys();
    }
    
    /**
     * CheckKeys - checks if the user pressed any of the specified
     * keys, then turn or fire the cannon accordingly
     */
    private void checkKeys()
    {
        if(Greenfoot.isKeyDown("left")) {
            turn( - 5 );
        }
        if(Greenfoot.isKeyDown("right")) {
            turn( + 5 );
        }
        if( "space".equals(Greenfoot.getKey()) ) {
            fire();
        }
    }
    
    /**
     * Fire - shots the Blob in the same direction of the
     * cannon, playing a suitable sound. 
     */
    private void fire()
    {
        Greenfoot.playSound("pop.wav");
        Blob blob = new Blob();
        blob.setRotation (getRotation());
        getWorld().addObject( blob, getX(), getY() );
    }
}
