import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

import java.awt.Color;

/**
 * London is a World class that represents
 * western northern europe centred in London city.
 * 
 * @author Amjad 
 * @version 1.2
 */
public class London extends World
{    
    private Map map;
    private GreenfootImage image;

    /**
     * Constructor for objects of class MyWorld.
     * 
     */
    public London()
    {    
        super(600, 400, 1);
        map = new Map("London, UK");
        image = map.getImage();
        setBackground(image);
    }

    /**
     * Return true, if the specified coordinate shows water.
     * (Water is defined as a predominantly blueish color.)
     */
    public boolean isWater(int x, int y)
    {
        Color color = image.getColorAt(x, y);
        return color.getBlue() > color.getRed() && color.getBlue() > color.getGreen();
    }
}
